<?php
/**********************************************************************************
* AcceptAgreement.php                                                             *
***********************************************************************************
* SMF: Simple Machines Forum                                                      *
* Open-Source Project Inspired by Zef Hemel (zef@zefhemel.com)                    *
* =============================================================================== *
* Software Version:           Updated Registration Agreement Mod 1.0              *
* Software by:                DanSoft Australia (http://www.dansoftaustralia.net/)*
* Copyright 2005-2007 by:     DanSoft Australia (http://www.dansoftaustralia.net/)*
* Support, News, Updates at:  http://mods.simplemachines.org/index.php?mod=727    *
*                                                                                 *
* Forum software by:          Simple Machines (http://www.simplemachines.org)     *
* Copyright 2006-2007 by:     Simple Machines LLC (http://www.simplemachines.org) *
*           2001-2006 by:     Lewis Media (http://www.lewismedia.com)             *
***********************************************************************************
* This program is free software; you may redistribute it and/or modify it under   *
* the terms of the provided license as published by Simple Machines LLC.          *
*                                                                                 *
* This program is distributed in the hope that it is and will be useful, but      *
* WITHOUT ANY WARRANTIES; without even any implied warranty of MERCHANTABILITY    *
* or FITNESS FOR A PARTICULAR PURPOSE.                                            *
*                                                                                 *
* See the "license.txt" file for details of the Simple Machines license.          *
* The latest version can always be found at http://www.simplemachines.org.        *
**********************************************************************************/
if (!defined('SMF'))
	die('Hacking attempt...');
	
/*	The purpose of this file is to show the user an updated registration
	agreement, and get them to agree to it.
	
	void AcceptAgreement()
		- Show the new registration agreement
		
	void AcceptAgreement2()
		- Called when they actually accept the agreement
		- Save the date of the current agreement to the members database table
		- Redirect back to the board index
*/

// Let's tell them there's a new agreement
function AcceptAgreement()
{
	global $modSettings, $context, $boarddir;
	
	// Are agreements turned off? We're useless, then!
	// Redirect back to the start
	if (empty($modSettings['requireAgreement']))
		redirectexit();
		
	// Grab the agreement
	$context['agreement'] = file_exists($boarddir . '/agreement.txt') ? parse_bbc(file_get_contents($boarddir . '/agreement.txt'), true, 'agreement') : '';
	
	$context['sub_template'] = 'AcceptAgreement';
	loadTemplate('AcceptAgreement');
}

// Actually agree to it
function AcceptAgreement2()
{
	global $ID_MEMBER, $boarddir;
	// Store the date of the registration agreement
	updateMemberData($ID_MEMBER, array('agreement_accepted' => 1));
	// Redirect back to the index
	// TODO: Redirect back to where they were? How would POST data be handled in a case like this?
	redirectexit();
}
?>
